Subject: Re: bug#41242: Port feature/native-comp to Windows

From: Nicolas Bértolo <[email-masked]>
Date: Sat, 23 May 2020 12:26:56 -0300

> I don't think would fly: You are not garanteed to be able to obtain the
> same mmaped address anyway and we cannot go for a solution that does not
> support ASLR.  In general to be portable it cannot rely on assumptions
> or low level tricks.  I think these are (at least part of) the reasons
> why we moved away from unexec.

AFAIU ASLR is disabled already, at least in Windows.
> Is not that simple, loading eln is mutating the environment with side
> effects, function definition is just a part of that.

I know, but linking against a static .eln would just make the symbols
available,
not anything else. The mutation of the environment would happen when loading
the dump.

> Even more important we must support subsequent dumps.

You are right. I hadn't considered this.

Nicolas